Tag Parser: TagParser::NotImplementedException Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::NotImplementedException Class Reference

This exception is thrown when the an operation is invoked that has not been implemented yet. More...

`#include <exceptions.h>`

Inheritance diagram for TagParser::NotImplementedException:
[legend]
Collaboration diagram for TagParser::NotImplementedException:
[legend]

## Public Member Functions
| NotImplementedException () noexcept
| Constructs a new exception.
virtual | ~NotImplementedException () noexcept
| Destroys the exception.
virtual const char * | what () const noexcept
| Returns a C-style character string describing the cause of the exception.
Public Member Functions inherited from TagParser::Failure
| Failure () noexcept
| Constructs a new exception.
virtual | ~Failure () noexcept
| Destroys the exception.

## Detailed Description

This exception is thrown when the an operation is invoked that has not been implemented yet.

Definition at line 60 of file exceptions.h.

## Constructor & Destructor Documentation

## ◆ NotImplementedException()

TagParser::NotImplementedException::NotImplementedException | ( |  | ) |
| noexcept

Constructs a new exception.

Definition at line 213 of file exceptions.cpp.

## ◆ ~NotImplementedException()

TagParser::NotImplementedException::~NotImplementedException | ( |  | ) |
| virtualnoexcept

Destroys the exception.

Definition at line 220 of file exceptions.cpp.

## Member Function Documentation

## ◆ what()

const char * TagParser::NotImplementedException::what | ( |  | ) | const
| virtualnoexcept

Returns a C-style character string describing the cause of the exception.

Reimplemented from TagParser::Failure.

Definition at line 227 of file exceptions.cpp.

The documentation for this class was generated from the following files:

- exceptions.h
- exceptions.cpp